org.apache.flume.tools

## Interface EventValidator

-     public interface EventValidator

  Event Validator interface to be used for validating Events per custom logic

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `EventValidator.Builder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EventValidator` | `NOOP_VALIDATOR`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `validateEvent(Event event)` Validate the Event in a application specific manner

- - ### Field Detail

    - #### NOOP_VALIDATOR

          static final EventValidator NOOP_VALIDATOR

  - ### Method Detail

    - #### validateEvent

          boolean validateEvent(Event event)

      Validate the Event in a application specific manner
      Parameters:
        `event` - Flume Event
      Returns:
        true if Event is valid as per App Logic

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.